Update a printer
Updates a printer. If roomId changes, the new room must be a production room in the current lab.
Updates a printer. If roomId changes, the new room must be a production room in the current lab.
__Secure-guidelab-prod.session_token<token>
Production session cookie set for the guidelab.co domain by Better Auth
In: cookie
Path Parameters
id*string
Printer ID
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PUT "https://example.com/production/printers/550e8400-e29b-41d4-a716-446655440000" \ -H "Content-Type: application/json" \ -d '{}'{ "printer": { "id": "string", "labId": "string", "roomId": "string", "name": "string", "model": "string", "material": "string", "status": "idle", "currentBatchId": "string", "sortOrder": 0, "isActive": true, "createdAt": "string", "updatedAt": "string", "room": { "id": "string", "name": "string", "color": "string" }, "currentBatch": { "id": "string", "name": "string", "status": "string", "startedAt": "string", "orderItems": [ { "id": "string", "orderId": "string", "orderNumber": "string", "productName": "string", "material": "string" } ] } }}Empty
Empty
Empty
Empty